Data Fields
cargo_handle Struct Reference

Cargo handle. More...

## Data Fields
acc_detector_distance_config_t * | distance_config
acc_detector_distance_handle_t * | distance_handle
acc_detector_presence_config_t * | presence_config
acc_detector_presence_handle_t * | presence_handle
acc_detector_presence_metadata_t | presence_metadata
struct {
cargo_container_size_t container_size
uint16_t num_frames_distance_occupies_cargo_app
uint16_t num_frames_presence_occupies_cargo_app
uint16_t num_frames_presence_uses_same_filter
} | parameters
struct {
cargo_mode_t current_mode
uint16_t num_distance_process_since_prepare
uint16_t num_presence_process_since_prepare
uint16_t num_presence_process_since_filter_reset
} | state

## Detailed Description

Cargo handle.

Definition at line 27 of file example_cargo.c.

## Field Documentation

## ◆ container_size

cargo_container_size_t cargo_handle::container_size

Definition at line 39 of file example_cargo.c.

## ◆ current_mode

cargo_mode_t cargo_handle::current_mode

Definition at line 50 of file example_cargo.c.

## ◆ distance_config

acc_detector_distance_config_t* cargo_handle::distance_config

Definition at line 29 of file example_cargo.c.

## ◆ distance_handle

acc_detector_distance_handle_t* cargo_handle::distance_handle

Definition at line 30 of file example_cargo.c.

## ◆ num_distance_process_since_prepare

uint16_t cargo_handle::num_distance_process_since_prepare

Definition at line 52 of file example_cargo.c.

## ◆ num_frames_distance_occupies_cargo_app

uint16_t cargo_handle::num_frames_distance_occupies_cargo_app

Definition at line 41 of file example_cargo.c.

## ◆ num_frames_presence_occupies_cargo_app

uint16_t cargo_handle::num_frames_presence_occupies_cargo_app

Definition at line 42 of file example_cargo.c.

## ◆ num_frames_presence_uses_same_filter

uint16_t cargo_handle::num_frames_presence_uses_same_filter

Definition at line 43 of file example_cargo.c.

## ◆ num_presence_process_since_filter_reset

uint16_t cargo_handle::num_presence_process_since_filter_reset

Definition at line 54 of file example_cargo.c.

## ◆ num_presence_process_since_prepare

uint16_t cargo_handle::num_presence_process_since_prepare

Definition at line 53 of file example_cargo.c.

## ◆ parameters

struct { ... } cargo_handle::parameters

## ◆ presence_config

acc_detector_presence_config_t* cargo_handle::presence_config

Definition at line 32 of file example_cargo.c.

## ◆ presence_handle

acc_detector_presence_handle_t* cargo_handle::presence_handle

Definition at line 33 of file example_cargo.c.

## ◆ presence_metadata

acc_detector_presence_metadata_t cargo_handle::presence_metadata

Definition at line 34 of file example_cargo.c.

## ◆ state

struct { ... } cargo_handle::state

The documentation for this struct was generated from the following file:

- Src/use_cases/example_apps/example_cargo.c